Bug 736356 - Alpine needs patch, otherwise S/MIME signed+encrypted messages cannot be opened
Summary: Alpine needs patch, otherwise S/MIME signed+encrypted messages cannot be opened
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: alpine
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joshua Daniel Franklin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:35 UTC by Alex Butcher
Modified: 2013-11-17 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-17 13:41:38 UTC


Attachments (Terms of Use)

Description Alex Butcher 2011-09-07 13:35:01 UTC
Description of problem:

Without a patch, S/MIME signed+encrypted messages cannot be opened. Alpine reports "Couldn't load PKCS7 object: unknown error"

Version-Release number of selected component (if applicable):

alpine-2.02-2.fc15

How reproducible:


Steps to Reproduce:
1. Send an S/MIME signed+encrypted message
2. Open message in Alpine
3. Observe Alpine reporting the above error message
  
Actual results:

Unreadable/unverifiable message content

Expected results:

Readable/verifiable message content

Additional info:

Patch can be obtained from http://sourceforge.net/tracker/index.php?func=detail&aid=3201704&group_id=264924&atid=1128050

Comment 1 Joshua Daniel Franklin 2011-09-07 14:19:02 UTC
Hi Alex,
Could you send me (joshuadfranklin) an example S/MIME message at gmail?

Comment 2 Fedora End Of Life 2013-04-03 15:26:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.